module("resources.wildixfxs", package.seeall)

models = {	-- Relation model and port numbers
	["W01FXS"]   = 1,
}

minor_version = {
   ["31e73e23f1914a34db2567f1a4f6c39d"] = "1004190", -- 3.40 100419 (s.code: 100419)
   ["fd72c8cebf55cd4d9d3b552147821ec8"] = "1004290", -- 3.40 100429 (s.code: 100419)
   ["cc10e9a803a2f4c94774242d640e3c06"] = "1009150", -- 3.41 100915 (s.code: 100803)
   ["a580ca19bbd92ad0f0527f30bb3b54d2"] = "1011240", -- 3.42 101124 (s.code: 100803)
   ["02e15d6d930f0f472b700121e213dda0"] = "1012060", -- 3.42 101206 (s.code: 100803)
   ["a259ba6933b32aa51ad38df06824bed4"] = "1103160", -- 3.42 110316 (s.code: 100803)
   ["a6802449f825035492d79138e03f6f82"] = "1107220", -- 3.43 110722 (s.code: 100803)
}

codecs = {
    ["wideband"] = {
        ["CodecPri1"] = "2", -- G.711 a-law
        ["CodecPri2"] = "1", -- G.711 u-law
        ["CodecPri3"] = "4", -- G.729
        ["CodecPri4"] = "0", -- disable slot
        ["CodecPri5"] = "0",
        ["CodecPri6"] = "0",
        ["CodecPri7"] = "0",
        ["CodecPri8"] = "0",
        ["CodecPri9"] = "0",
    }, 
    ["narrowband"] = {
        ["CodecPri1"] = "4", -- G.729
        ["CodecPri2"] = "2", -- G.711 a-law
        ["CodecPri3"] = "1", -- G.711 u-law
        ["CodecPri4"] = "0", -- disable slot
        ["CodecPri5"] = "0",
        ["CodecPri6"] = "0",
        ["CodecPri7"] = "0",
        ["CodecPri8"] = "0",
        ["CodecPri9"] = "0",
    }
}

-- Special Note
-- 1. Standardcfg.dat file have three important key field can not deletes it:
--		line0name, ph1Realm1Active, AutoConfigVersion
-- 2. Standardcfg.dat provde all field names cannot repeat set it.
-- For Welltech firmware use APN_standardCFG_Eng_gateway_V1_6.pdf
parameters_init = { -- contains value for upgrade firmware and provisioning link
	["ph1Realm1Active"] = "1",			-- line1 -- realm 1
	["AutoConfigVersion"] = "1",		-- control version
	["ICMPE"] = "0",					-- ??
	["StopRingCnt"] = "80",				-- ??
	
	["AutoConfigMode"] = "3",			-- Provision Active mode (3 - http)
	["HTTPUserName"] = "wmsdevice",		-- Password for access to get configuration
	
	["AutoUpdateMode"] = "3",			-- update mode (3 - HTTP)
	["AutoUpdateCheckVer"] = "0",		-- Check New Firmware Type (0 - Power On and Scheduling)
	["AutoUpdateNow"] = "1",			-- Automatic Update Type (1 - Automatic)
	["AutoUpdateFilePrefix"] = "UPGRD",	-- Firmware File Prefix
	
	["AdminUserName"] = "admin",		-- Admin new user name
--	["AdminUserPass"] = "admin",		-- Admin new user password
	["NormalUserName"] = "user",		-- User new user name
--	["NormalUserPass"] = "user",		-- User new user password
}

parameters = {
	["wDropCode1"] = "0",				-- Drop Prefix 1 (0 - disable)
	["wInsertCode1"] = " ",				-- Prefix 1
	["wDialRule1"] = " ",				-- Replace Rule 1
	["AutoDialTime"] = "5",				-- Inter Digit Time
	["UseHashSend"] = "1",				-- Key As Send # (1 - enable)
	
	["ph1AllFwd"] = "0",				-- Phone for All forward (0 - disable)
	["ph1BusyFwd"] = "0",				-- Phone for All busy (0 - disable)
	["ph1NoAnsFwd"] = "0",				-- Phone for All no answer (0 - disable)
	["ph1AllFwdName"] = " ",
	["ph1AllFwdUrl"] = " ",
	["ph1BusyFwdName"] = " ",
	["ph1BusyFwdUrl"] = " ",
	["ph1NoAnsFwdName"] = " ",
	["ph1NoAnsFwdUrl"] = " ",
	["ph1NoAnsTimeOut"] = "3",			-- Phone forNo Answer Fwd Time Out:
	
	["ph1AlwayBlock"] = "0",			-- Phone for DND Always (0 - off)
	["ph1BlockPeriod"] = "0",			-- Phone for DND Period (0 - off)
	["ph1BlockFrom"] = "00:00",			-- Phone for DND Period From
	["ph1BlockTo"] = "00:00",			-- Phone for DND Period To
	
	["CallWaiting"] = "1",				-- Call Waiting (1 - enable)
	["CIDType"] = "1",					-- Caller ID Scheme (1 - FSK (Bellcore))
	["CIDSingle"] = "1",				-- Single Caller ID (1 - enable)
	["CIDWithoutTime"] = "1",			-- CID Without Time (1 - enable)
	
	["T38"] = "1",						-- T.38 (FAX) (1 - enable)
	["T30CodecALAW"] = "0",				-- T.38 Pass Through Codec (0 - ulaw)
	["T38_CAI"] = "0",					-- T.38 re-Invite (disable - 0)
	
	["HandsetVol"] = "12",				-- Handset Volume
	["HandsetGain"] = "12",				-- Handset Gain
	
	["DnsType"] = "1",					-- Configures the DNS IP ActiveStatic (1 - Auto)
	["BridgeMode"] = "1",				-- Device Active (1 - Bridge)
	["PPTPenable"] = "0",				-- VPN Active (0 - disable)
	["SNTPSyncTime"] = "0:01:00",		-- Update Interval (dd:hh:mm)
	["VLANCFI"] = "0",					-- CFI
	
	["G711G729pkl"] = "2",				-- G.711 and G.729 (2 - 20 ms)
	["G723pkl"] = "3",					-- G.723 (3 - 30 ms)
	["G723Enable"] = "0",				-- G.723 5.3K (0 - disable)		
	["VoiceVADEnable"] = "0",			-- Silence Superssion (VAD) (0 - disable)
	
	["SIPExpireTime"] = "180",			-- SIP expire time (180 s)
	["ph1SIPPort"] = "0",				-- SIP port
	["ph1RTPPort"] = "21000",			-- RTP port
	["ph1SipPortRangeS"] = "22000",		-- SIP Port Range Start
	["ph1SipPortRangeE"] = "40000",		-- SIP Port Range End
	["ph1RtpPortRangeS"] = "20000",		-- RTP Port Range Start
	["ph1RtpPortRangeE"] = "21999", 	-- RTP Port Range End
	["ph1HoldRFCEnable"] = "0",			-- HOLD type (0 - off)
	["ph1RportEanble"] = "1",			-- Rport (1 - enable)
	["DTMF"] = "3",						-- DTMF type (3 - SIP Info)
	["SipVID"] = "0",					-- SIP VID (0 - disable)
	["RtpVID"] = "0",					-- RTP VID (0 - disable)
	
	["CPCDelay"] = "2", 				-- CPC (Calling Party Control) Delay (2s)
	["CPCDuration"] = "15",				-- CPC Duration (150 ms)
	["SendFlashEvent"] = "2",			-- Send Flash Event (0 - disable, 2 - SIP INFO)
	["SIPRTPEnCrypt"] = "0",			-- Encryption Type (0 - Disable)
	["SysLogSrv"] = " ",				-- Syslog server
	["SysLogType"] = "0",				-- System Log (0, - Disable, 7 - All)
	["FXSCountry"] = "27",				-- FXS Port Country (27 -Italy)
	["FlashTime"] = "60",				-- Flash Hook Time Max (600 ms)
	["FlashTimeMin"] = "7",				-- Flash Hook Time Min (70 ms)
	
	-- Tones
	["DialTone"] = "0,440,350,4522,4522,0,0,0,0,0,0",
	["RingBackTone"] = "1,480,440,2261,2261,200,400,0,0,0,0",
	["BusyTone"] = "1,620,480,2261,2261,50,50,0,0,0,0",
	["CongesTone"] = "1,620,420,2261,2261,30,20,0,0,0,0",
	["RingTone"] = "1,480,440,15360,15360,200,400,0,0,0,0",
	["CallWaitTone"] = "1,450,350,2261,1130,30,20,30,400,0,0",
}