module("resources.wildixfxsr2", package.seeall)

-- Special Note
-- 1. Standardcfg.dat file have three important key field can not deletes it:
--		line0name, ph1Realm1Active, AutoConfigVersion
-- 2. Standardcfg.dat provde all field names cannot repeat set it.
-- For Welltech firmware use APN_Gateway_StandardCFG_Eng_V2_1_20120615.pdf
models = {	-- Relation model and port numbers
	["W01FXSR2"] = 1,
	["W02FXSR2"] = 2
}

parameters_init = { -- contains value for upgrade firmware and provisioning link
	["ph1Realm1Active"] = "1",			-- line1 -- realm 1
	["AutoConfigVersion"] = "1",		-- control version
	
	["AutoConfigMode"] = "3",			-- Provision Active mode (3 - http)
	["AutoConfig2Steps"] = "0",			-- 2 Steps Configuration (0 - disable)
	["AutoConfigSchedule"] = "0",		-- Provisioning sheduling (0 - disable)
	["FTPUserName"] = "wmsdevice",		-- Username for provision via HTTP or FTP
--	["UHTTPPath"] = "",					-- HTTP File Path for provisioning config
	
	["AutoUpdateMode"] = "3",			-- update mode (3 - HTTP)
	["UHTTPPath"] = "/update/",			-- HTTP File Path for firmware
	["AutoUpdateCheckVer"] = "0",		-- Check New Firmware Type (0 - Power On and Scheduling)
	["AutoUpdateNow"] = "2",			-- Automatic Update Type (2 - Automatic)
	["AutoUpdateFilePrefix"] = "UPGRD",	-- Firmware File Prefix
	
	["AdminUserName"] = "administrator",-- Admin new user name
--	["AdminUserPass"] = "84117341",		-- Admin new user password
	["SystemUserName"] = "admin",		-- System new user name
--	["SystemUserPass"] = "system",		-- System new user password
	["NormalUserName"] = "user",		-- User new user name
--	["NormalUserPass"] = "wildix",		-- User new user password
}

parameters = {
	["wDropCode1"] = "0",				-- Drop Prefix 1 (0 - disable)
	["wInsertCode1"] = " ", 			-- Prefix 1
	["wDialRule1"] = " ",				-- Replace Rule 1
	["AutoDialTime"] = "5", 			-- Inter Digit Time
	["UseHashSend"] = "1",				-- Key As Send # (1 - enable)
	
	["ph1FWD"] = "0,,2",				-- Forward
	["ph1Block"] = "0,0:0,0:0",			-- DND
	
	["CallWaiting"] = "1",				-- Call Waiting (1 - enable)
	["CIDType"] = "1",					-- Caller ID Scheme (1 - FSK (Bellcore))
	["T38"] = "1",						-- T.38 (FAX) (1 - enable)
	["T30CodecALAW"] = "1",				-- T.38 Pass Through Codec (0 - ulaw)
	["T38CAI"] = "1",					-- T.38 re-Invite (enable - 1)
	
	["HandsetVol"] = "12",				--  Handset Volume
	["HandsetGain"] = "5",				--  Handset Gain
	
	["DnsType"] = "0",					-- TODO: remove this parameter after vendor fix. Configures the DNS IP ActiveStatic (0 - Auto)
	["BridgeMode"] = "1",				-- Device Active (1 - Bridge)
	["PPTPenable"] = "0",				-- VPN Active (0 - disable)
	["SNTPSyncTime"] = "2",				-- Update Interval (2 - 5 minutes)				
	
	["SipVID"] = "0",					-- SIP VID (0 - disable)
	["RtpVID"] = "0",					-- RTP VID (0 - disable)
	
	["G711G729pkl"] = "2",				-- G.711 and G.729 (2 - 20 ms)
	["G723pkl"] = "1",					-- G.723 (1 - 30 ms)
	["G723Enable"] = "0",				-- G.723 5.3K (0 - disable)		
	["VoiceVADEnable"] = "0",			-- Silence Superssion (VAD) (0 - disable)
		
	["SIPExpireTime"] = "180",			-- SIP expire time (180 s)
	["ph1SipPortRangeS"] = "22000",		-- local SIP Port of Phone 1 Start	
	["ph1SipPortRangeE"] = "40000",		-- local SIP Port of Phone 1 End
	["ph1RtpPortRangeS"] = "21000",		-- local RTP Port of Phone 1 Start
	["ph1RtpPortRangeE"] = "21000", 	-- local RTP Port of Phone 1 End
	["ph1HoldRFCEnable"] = "3",			-- HOLD type (3 - Inactive)
	["ph1RportEanble"] = "1",			-- RPort (1 - enable)
	["DTMF"] = "3",						-- DTMF type (3 - SIP Info)
	
	["CPCDelay"] = "2", 				-- CPC Delay (2s)
	["CPCDuration"] = "15",				-- CPC Duration (150 ms)
	["UseIPdial"] = "1",				-- IP Dialing Format (1 - Type1 (x@x.x.x.x))
	["SendFlashEvent"] = "0",			-- Send Flash Event (0 - disable)
	["SIPRTPEnCrypt"] = "0",			-- Encryption Type (0 - Disable)
	["SysLogSrv"] = "",					-- Syslog server
	["SysLogType"] = "0",				-- System Log (0, - Disable, 7 - All)
	["TelnetLogin"] = "0",				-- Telnet service (0 - disable, 1 - enable)
	["FXSCountry"] = "28",				-- FXS Port Country (28 -Italy)
	["FlashTimeMax"] = "60",			-- Flash Hook Time Max (600 ms)
	["FlashTimeMin"] = "7",			-- Flash Hook Time Min (70 ms)
	
	-- Tones
	["DialTone"] = "0,440,350,4522,4522,0,0,0,0,0,0",
	["RingBackTone"] = "1,480,440,2261,2261,200,400,0,0,0,0",
	["BusyTone"] = "1,620,480,2261,2261,50,50,0,0,0,0",
	["CongesTone"] = "1,420,420,2261,2261,20,20,0,0,0,0",
	["RingTone"] = "1,480,440,15360,15360,200,400,0,0,0,0",
	["CallWaitTone"] = "1,450,350,2261,1130,30,1500,30,1500,30,1500",
}
tonesGain = {
	["DialTone"]     = {["hiToneGain"] = "4522", ["loToneGain"] = "4522"},
	["RingBackTone"] = {["hiToneGain"] = "2261", ["loToneGain"] = "2261"},
	["BusyTone"]     = {["hiToneGain"] = "2261", ["loToneGain"] = "2261"},
	["CongesTone"]   = {["hiToneGain"] = "2261", ["loToneGain"] = "2261"},
	["RingTone"]     = {["hiToneGain"] = "15360", ["loToneGain"] = "15360"},
	["CallWaitTone"] = {["hiToneGain"] = "2261", ["loToneGain"] = "1130"}
}

