module("resources.wildixgsm", package.seeall)

codecs = {
    ["wideband"] = {
        ["P59"] = "8",  -- G.711 a-law PCMA
        ["P60"] = "0",  -- G.711 u-law PCMU
        ["P61"] = "18", -- G.729
        -- ["P62"] = "4",  -- G.723

    },
    ["narrowband"] = {
        ["P59"] = "18", -- G.729
        ["P60"] = "8",  -- G.711 a-law PCMA
        ["P61"] = "0",  -- G.711 u-law PCMU
        -- ["P62"] = "4",	-- G.723
    }
}

dialtones = {
    ["Austria"]="1",
    ["CzechRepublic"]="6",
    ["France"]="4",
    ["Germany"]="5",
    ["Italy"]="7",
    ["NorthAmerica"]="0",
    ["Spain"]="10",
    ["UK"]="12",
}

port_default = {
    ["port_number"] = "",
    ["port_sim_pin"] = "",
    ["port_codec_input_gain"] = "0",
    ["port_codec_output_gain"] = "0",
    ["port_context"] = "main",
    ["port_initatcmd"] = "",
    ["port_answer_type"] = "1", -- 0 - Answered, 1 - Alerted, 2 - Income
}

-- models & port count
models = {
    ["w01gsm"]	= 1
}

parameters = {
    ["P0"] = "1",
    ["P1"]= "0",
    ["P6"]="24",

    ["P7"]="0", 	-- NTP server (1 - enable, 0 - disable) - default value
--    ["P9"] = "",				-- NTP server 2 
    ["P10"]="13",	-- NTP TimeZone
    
    ["P50"]="8000",
    ["P51"]="0",

    ["P52"]="7",	-- Call Progress Tone (Default tone), 7 - Italy
    ["P53"]="0",
    ["P54"]="0",
    ["P55"]="",
    ["P56"]="0",
    ["P57"]="100",
    ["P58"]="400",
    ["P59"]="18",
    ["P60"]="8",
    ["P61"]="0",
    ["P62"]="4",
    ["P63"]="2",	-- ptime (6 = 60, 4 = 40, 2 = 20 (10 ms == 1 frame for G729))
    ["P64"]="1",
    ["P65"]="0",
    ["P66"]="1",
    ["P67"]="1",
    ["P2100"]="0",
    ["P2101"]="",
    ["P2102"]="0",
    ["P68"]="0",
    ["P69"]="1",
    ["P70"]="0",
    ["P71"]="1",
    ["P72"]="0",
    ["P73"]="0",
    ["P74"]="0",
    ["P75"]="0",
    ["P76"]="1",
    ["P77"]="101",
    ["P78"]="0",
    ["P79"]="200",
    ["P80"]="0",
    ["P2216"]="0",
    ["P81"]="",
    ["P82"]="3478",
    ["P83"]="0",
    ["P84"]="0",
    ["P85"]="0",
    ["P86"]="1",
    ["P87"]="1",
    ["P88"]="1",
    ["P89"]="0",
    ["P90"]="1",	-- Only Accept Calls from SIP Server
    ["P91"]="1",
    ["P92"]="0",
    ["P93"]="0",
    ["P94"]="0",
    ["P95"]="1",
    ["P96"]="4",
    ["P99"]="255",	-- No Answer Timeout
    ["P130"]="1",
    ["P97"]="0",
    
    ["P104"]="0",
    ["P105"]="",
    ["P106"]="1",	-- Use Random Port
    ["P107"]="5060",
    ["P108"]="1",
    ["P109"]="60",
    ["P110"]="500",
    ["P111"]="4000",
    ["P112"]="5000",
    ["P113"]="32000",
    ["P114"]="10",
    ["P115"]="0",
    ["P116"]="0",
    
    ["P2103"]="600",	-- 	Response code
    ["P2107"]="503",	-- 	Response code after switch
    ["P2104"]="0",
    ["P2108"]="0",
    ["P2105"]="0",
    ["P2109"]="0",
    ["P2106"]="0",
    ["P2110"]="0",

    ["P118"]="2",	-- From Mode when Caller ID Is Available (2 - Tel/Tel)
    ["P119"]="0",	-- From Mode when Caller ID Is Unavailable
    ["P120"]="0",	-- Answer Mode "Answered"
    ["P121"]="0",	-- 183 Mode (0 - Immediately, 1 - Alerted)
    
    ["P149"]="0",
   
    ["P250"]="",	-- SIP password	should be blank

    ["P2200"]="",
    ["P450"]="3",
    ["P800"]="0",
    ["P801"]="1",
    ["P802"]="0",
    ["P803"]="14400",
    
    ["P810"] = "0",	-- Enable syslog
    ["P812"]="7",	-- Set syslog level
    
    ["P813"]="0",

    ["P815"]="",	-- Provisioning Secondary Profile URL
    
    ["P1001"]="x.T|x.#",	-- Digit Map
    ["P1002"]="8",
    ["P1003"]="0",
    ["P1006"]="0",

    ["P1007"]="1",		-- Enable SMS API
    ["P1009"]="7008",	-- SMS API port
    
    ["P98"]="5",
    ["P1010"]="0",
    ["P1011"]="5",
    ["P1012"]="3",
    ["P2217"]="0",
    	
    ["P1050"]="0,$portNumber,0,0,0, , ,0,0,0,0,60,$txGain,$rxGain,7",	-- Mobile Configuration: port, mobile number, ... last 3 params: Mobile Tx Gain, Mobile Rx Gain, Echo Suppression Level
    
    ["P1066"]="0",
    ["P1067"]="0",
    ["P1100"]="0,default,any,0,255,any,4,0",		-- Tel->IP Routing
    ["P1631"]="31,One stage rule,any,0,255,any,5, ",	-- Tel->IP Operation
    
--    ["P3005"] = ""		-- Secondary dns server

	["P3400"] = "0",    -- Enable/Disable auto reboot
	["P3401"] = "00",	-- Time in hours for auto reboot
	["P3402"] = "10",   -- Time in minutes for auto reboot
	
	["P3600"] = "",    -- SMS center ('empty' - auto discovery, XXXX - specified number)
}