module("resources.wildixp", package.seeall)

-- Important thing is priority
codecs = {
   ["wideband"] = {
	  ["audio0"] = {
	  	 ["enable"] = "1",
	  	 ["PayloadType"] = "PCMU",
	  	 ["priority"] = "3",
	  	 ["rtpmap"] = "0",
	  },

	  ["audio1"] = {
		 ["enable"] = "1",
		 ["PayloadType"] = "PCMA",
		 ["priority"] = "2",
		 ["rtpmap"] = "8",
	  },

	  ["audio2"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G723_53",
		 ["priority"] = "0",
		 ["rtpmap"] = "4",
	  },

	  ["audio3"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G723_63",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio4"] = {
		 ["enable"] = "1",
		 ["PayloadType"] = "G729",
		 ["priority"] = "5",
		 ["rtpmap"] = "18",
	  },

	  ["audio5"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G722",
		 ["priority"] = "1",
		 ["rtpmap"] = "9",
	  },

	  ["audio6"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "iLBC",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio7"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-16",
		 ["priority"] = "4",
		 ["rtpmap"] = "112",
	  },

	  ["audio8"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-24",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio9"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-32",
		 ["priority"] = "0",
		 ["rtpmap"] = "2",
	  },

	  ["audio10"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-40",
		 ["priority"] = "0",
		 ["rtpmap"] = "104",
	  },
   }, 

   ["narrowband"] = {
	  ["audio0"] = {
	  	 ["enable"] = "1",
	  	 ["PayloadType"] = "PCMU",
	  	 ["priority"] = "4",
	  	 ["rtpmap"] = "0",
	  },

	  ["audio1"] = {
		 ["enable"] = "1",
		 ["PayloadType"] = "PCMA",
		 ["priority"] = "3",
		 ["rtpmap"] = "8",
	  },

	  ["audio2"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G723_53",
		 ["priority"] = "0",
		 ["rtpmap"] = "4",
	  },

	  ["audio3"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G723_63",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio4"] = {
		 ["enable"] = "1",
		 ["PayloadType"] = "G729",
		 ["priority"] = "1",
		 ["rtpmap"] = "18",
	  },

	  ["audio5"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G722",
		 ["priority"] = "5",
		 ["rtpmap"] = "9",
	  },

	  ["audio6"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "iLBC",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio7"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-16",
		 ["priority"] = "2",
		 ["rtpmap"] = "112",
	  },

	  ["audio8"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-24",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio9"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-32",
		 ["priority"] = "0",
		 ["rtpmap"] = "1",
	  },

	  ["audio10"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-40",
		 ["priority"] = "0",
		 ["rtpmap"] = "104",
	  },
   }
}

parameters = {
   ["__nopath__"] = {
	  ["firmware"] = {
		 ["server_type"] = "tftp",
		 ["server_ip"] = "",
		 ["server_port"] = "69",
		 ["login_name"] = "",
		 ["login_pswd"] = "",
		 ["firmware_name"] = "",
	  }
   },

   ["/"] = {
	  ["vpm.cfg"] = {
		 ["Profile"] = {
			["ECHO"] = "1",
            ['RTCP'] = "1",
		 },
		 ["Jitter"] = {
			["Enable"] = "0",
			["Adaptive"] = "0",
			["Min"] = "0",
			["Max"] = "300",
			["Nominal"] = "120",
		 },
	  },
	  
	  ["WebItemsLevel.cfg"] = {
   		["Upgrade_Advanced"] = {
   			["SystemlogLevel"] = "6"
   		}
   	  }
   },	
   
   ["Setting"] = {
	  ["AdvSetting.cfg"] = {
		 ["sip"] = {
			["UseOutBoundInDialog"] = "1",
		 }
	  },
	  ["swprotect.cfg"] = {
		 ["sw_ver"] = {
			["sw_protect"] = "1"
		 }
	  },
	  ["update.cfg"] = {
		 ["sw_ver"] = {
			["sw_protect"] = "1"
		 }
	  },
	  ["autop.cfg"] = {
		 ["cfg_version"] = {
			["com_cfg_ver"] = "0.0.0.6",
		 },
		 ["autop_mode"] = {
			["mode"] = "1", 	--disable=0; power on=1; sheduling=2; both=3
			["schedule_day"] = "1",
			["schedule_min"] = "10",
			["schedule_time"] = "00:00",
			["schedule_time_end"] = "00:00",
			["schedule_dayofweek"] = "",
		 },
		 ["autoprovision"] = {
			["server_type"] = "http",
			["ftp_server_ip"] = "",
			["ftp_server_port"] = "21",
			["tftp_server_ip"] = "",
			["tftp_server_port"] = "69",
			["ftp_name"] = "",
			["ftp_pswd"] = "",
			["http_url"] = "",
			["server_address"] = "",
		 },
		 ["cutom_option"] = {
			["cutom_option_code0"] = "128",
			["cutom_option_type0"] = "1",
		 },
		 ["AdminPassword"] = {
			["user"] = "admin",
			["password"] = "wildix"
		 },
		 ["UserPassword"] = {
		 	["password"] = "wildix",
		 },
		 ["VarPassword"] = {
		 	["password"] = "wildix",
		 },
	  },  
	  ["Setting.cfg"] = {
		 ["PhoneSetting"] = {
			["ProductName"] = "",
			["Language"] = "1",
			["Voicevolume"] = "4", -- the range of the volume is 1~15
			["Ringtype"] = "Ring1.wav",
			["HandFreeSpkVol"] = "8",
			["HandFreeMicVol"] = "8",
			["HandSetSpkVol"] = "8",
			["HandSetMicVol"] = "8",
			["HeadSetSpkVol"] = "8",
			["HeadSetMicVol"] = "8",
			["InterDigitTime"] = "5",
			["FlashHookTimer"] = "10",
			["IsDeal180"] = "1",
			["LogLevel"] = "6",
			["SkipAdvSetPasswd"] = "1", -- skip (1) or use (0) the Advanced Setting password on LCD
		 },

		 ["Time"] = {
			["SummerTime"] = 0,
			["Interval"] = "300",
			["TimeFormat"] = "1",
			["DateFormat"] = "6",
			["DSTTimeType"] = "0",
		 },
		 ["Lang"] = {
			["ActiveWebLanguage"] = "English",
		 },
		 ["AlertInfo0"] = {
			["Text"] = "",
		 },
		 ["AlertInfo1"] = {
			["Text"] = "",
		 },
		 ["AlertInfo2"] = {
			["Text"] = "",
		 },
		 ["AlertInfo3"] = {
			["Text"] = "",
		 },
		 ["AlertInfo4"] = {
			["Text"] = "",
		 },
		 ["AlertInfo5"] = {
			["Text"] = "",
		 },
		 ["AlertInfo6"] = {
			["Text"] = "",
		 },
		 ["AlertInfo7"] = {
			["Text"] = "",
		 },
		 ["AlertInfo8"] = {
			["Text"] = "",
		 },
		 ["AlertInfo9"] = {
			["Text"] = "",
		 },
		 ["RemotePhoneBook0"] = {},
		 ["RemotePhoneBook1"] = {},
		 ["RemotePhoneBook2"] = {},
		 ["RemotePhoneBook3"] = {},
		 ["RemotePhoneBook4"] = {},
	  },	  
   },

   ["Network"] = {
	  ["Network.cfg"] = {
		 ["Version"] = {
			["Version"] = "0",
		 },
		 ["WAN"] = {
		 },
		 ["DNS"] = {
		 },
		 ["PPPoE"] = {
			["PPPoEUser"] = "",
			["PPPoEPWD"] = "",
		 },
		 ["LAN"] = {
			["LANTYPE"] = "1", -- 0=Router, 1=Bridge
			["EnableDHCP"] = "0",
		 },
		 ["SYSLOG"] = {
		  	["SyslogdIP"] = "%NULL%",
		 },
		 ["snmp"] = {
		  	["snmp_enable"] = "0",
		  	["snmp_port"] = "%NULL%",
		  	["snmp_trusted_address"] = "%NULL%",
		 },
		 ["RTPPORT"] = {
			["MaxRTPPort"] = "11800",
			["MinRTPPort"] = "11780",
		 },
		 ["QOS"] = {
			["SIGNALTOS"] = "46",
			["RTPTOS"] = "46",
		 },
		 ["VLAN"] = {
		 },
		 ["telnet"] = {
			["telnet_enable"] = "0",
		 },
	  }
   },

   ["Features"] = {
	  ["Phone.cfg"] = {
		 ["Features"] = {
			["DND"] = "0", -- enable=1; disable=0
			["Call_Waiting"] = "1",
			["DND_On_Code"] = "",
			["DND_Off_Code"] = "",
			["Hotlinenumber"] = " ",
			["ButtonSoundOn"] = "1",
			["CallCompletion"] = "0",
			["AllowIntercom"] = "1",
			["LCD_Logo"] = "1",
            ["ClosePowerLight"] = "0",
            ["Refuse_Code"] = "603",
			["IntercomBarge"] = "1"

		 },
		 ["AutoAnswer"] = {
			["Enable"] = "0",
		 }
	  },
	  ["Message.cfg"] = {
		 ["Message"] = {
			["VoiceNumber0"] = "", --voice mail number
			["VoiceNumber1"] = "",
		 }
	  },
	  ["Forward.cfg"] = {
		 ["Forward"] = {
			["EnableUse"] = "0",
			["Type"] = "0",
			["AlwaysForward"] = "",
			["BusyForward"] = "",
			["NoAnswerForward"] = "",
			["AfterRingTimes"] = "",
			["BusyNoAnswerForward"] = "",
			["BusyNoAfterRingTimes"] = "",
		 },
		 ["AlwaysFWD"] = {
			["Enable"] = "0",
			["Target"] = "",
			["On_Code"] = "",
			["Off_Code"] = "",
		 },
		 ["BusyFWD"] = {
			["Enable"] = "0",
			["Target"] = "",
			["On_Code"] = "",
			["Off_Code"] = "",
		 },
		 ["TimeoutFWD"] = {
            ["Enable"] = "0",
			["On_Code"] = "",
			["Off_Code"] = "",
		 }
	  }
   },

   ["vpPhone"] = {
	  ["vpPhone.ini"] = {
		 ["NGN"] = {
			["ngn"] = 0
		 }
	  }
   },
   ["Advanced"] = {
   },
   ["voip"] = {
	  ["tone.ini"] = {
		 ["Tone Param"] = {
			["stutter"] = "0",
			["message"] = "0"
		 },
		 ["Default"] = {
			["stutter"] = "0",
			["message"] = "0"  
		 }
	  },
	  ["sipAccount0.cfg"] = {
		 ["account"] = {
			["Enable"] = "1",
			["DisplayName"] = "106",
			["UserName"] = "106",
			["AuthName"] = "106",
			["Label"] = "106",
			["password"] = "",
			["SIPServerHost"] = "172.19.4.220",
			["SIPServerPort"] = "5060",
			["SIPListenPort"] = "22023",
			["SIPListenRandom"] = "1",
			["dialoginfo_callpickup"] = "1",
			["Expire"] = "300", --was 3600, was 1200, was 100
			["UseOutboundProxy"] = "1",
			["OutboundHost"] = "172.19.4.220",
			["OutboundPort"] = "5060",
			["EnableSTUN"] = "0",
			["SubscribeRegister"] = "1",
			["AutoAnswer"] = "0",
			["SubsribeMWI"] = "1",
			["bCalleeIDbyINFO"] = "0",
			["MissedCallLog"] = "1",
			["AnonymousCall"] = "0",
			["RejectAnonymousCall"] = "0",
			["AnonymousCall_OnCode"] = "",
			["AnonymousCall_OffCode"] = "",
			["AnonymousReject_OnCode"] = "",
			["AnonymousReject_OffCode"] = "",
			["EnableSessionTimer"] = "0",
			["SessionExpires"] = "7200",
			["SessionRefresher"] = "0",
			["CancelTimer"] = "1800",
			["CIDSource"] = "1",
			["Transport"] = "0", -- 0 UDP, 1 TCP, 2 TLS, 3 DNS-SRV
            ["srtp_encryption"] = "0",
            ["srtp_encryption_algorithm"] = "1", -- always 1?
            ["ptime"] = "20"
		 },
		 ["audio0"] = {
			["enable"] = "0",
			["PayloadType"] = "G722",
			["priority"] = "1",
			["rtpmap"] = "9",
		 },
		 ["audio1"] = {
			["enable"] = "0",
			["PayloadType"] = "PCMA",
			["priority"] = "2",
			["rtpmap"] = "8",
		 },
		 ["audio2"] = {
			["enable"] = "0",
			["PayloadType"] = "PCMU",
			["priority"] = "3",
			["rtpmap"] = "0",
		 },
		 ["audio3"] = {
			["enable"] = "0",
			["PayloadType"] = "G726-32",
			["priority"] = "4",
			["rtpmap"] = "2",
		 },

		 ["audio4"] = {
			["enable"] = "0",
			["PayloadType"] = "G729",
			["priority"] = "5",
			["rtpmap"] = "18",
		 },
		 ["audio5"] = {
			["enable"] = "0",
			["PayloadType"] = "iLBC",
			["priority"] = "6",
			["rtpmap"] = "102",
		 },
		 ["audio6"] = {
			["enable"] = "0",
			["PayloadType"] = "G723_53",
			["priority"] = "7",
			["rtpmap"] = "4",
		 },

		 ["blf"] = {
			["SubscribePeriod"] = "1200", -- was 180
		 },
		 ["NAT"] = {
			["MaxRTPPort"] = "11800",
			["MinRTPPort"] = "11780",
			["NATTraversal"] = "0",
			["STUNServer"] = "217.10.79.21",
			["STUNPort"] = "10000",
			["EnableUDPUpdate"] = "1",
			["UDPUpdateTime"] = "30",
			["rport"] = "0",
		 },
		 ["DTMF"] = {
			["DTMFInbandTransfer"] = "2", -- DTMF type
			["DTMFPayload"] = "101",
			["DTMFToneLen"] = "120",
			["InfoType"] = "1",
		 },
		 ["General"] = {
		 }
	  },
	  ["sipAccount1.cfg"] = {
	  	["account"] = {
	  		["Enable"] = "0",
	  		["DisplayName"] = "%NULL%",
			["UserName"] = "%NULL%",
			["AuthName"] = "%NULL%",
			["Label"] = "%NULL%",
			["password"] = "%NULL%",
			["SIPServerHost"] = "%NULL%",
			["SIPServerPort"] = "5060",
			["OutboundHost"] = "%NULL%",
			["OutboundPort"] = "5060",
	  	},
	  	["General"] = {
		}
	  }
   }
}

second_account = {	-- used as failover account
	["account"] = {
		["Enable"] = "1",
		["DisplayName"] = "",
		["UserName"] = "",
		["AuthName"] = "",
		["Label"] = "",
		["password"] = "",
		["SIPServerHost"] = "",
		["SIPServerPort"] = "80",
		["SIPListenPort"] = "5060",
		["SIPListenRandom"] = "1",
		["dialoginfo_callpickup"] = "1",
		["Expire"] = "300", --was 3600, was 1200, was 100
		["UseOutboundProxy"] = "1",
		["OutboundHost"] = "",
		["OutboundPort"] = "80",
		["EnableSTUN"] = "0",
		["SubscribeRegister"] = "1",
		["AutoAnswer"] = "0",
		["SubsribeMWI"] = "1",
		["bCalleeIDbyINFO"] = "0",
		["MissedCallLog"] = "1",
		["AnonymousCall"] = "0",
		["RejectAnonymousCall"] = "0",
		["AnonymousCall_OnCode"] = "",
		["AnonymousCall_OffCode"] = "",
		["AnonymousReject_OnCode"] = "",
		["AnonymousReject_OffCode"] = "",
		["EnableSessionTimer"] = "0",
		["SessionExpires"] = "7200",
		["SessionRefresher"] = "0",
		["CancelTimer"] = "1800",
		["CIDSource"] = "1",
		["Transport"] = "1", -- 0 UDP, 1 TCP, 2 TLS, 3 DNS-SRV
	    ["srtp_encryption"] = "0",
	    ["srtp_encryption_algorithm"] = "1", -- always 1?
	    ["ptime"] = "20"
	 },
	 ["audio0"] = {
		["enable"] = "0",
		["PayloadType"] = "G722",
		["priority"] = "1",
		["rtpmap"] = "9",
	 },
	 ["audio1"] = {
		["enable"] = "0",
		["PayloadType"] = "PCMA",
		["priority"] = "2",
		["rtpmap"] = "8",
	 },
	 ["audio2"] = {
		["enable"] = "0",
		["PayloadType"] = "PCMU",
		["priority"] = "3",
		["rtpmap"] = "0",
	 },
	 ["audio3"] = {
		["enable"] = "0",
		["PayloadType"] = "G726-32",
		["priority"] = "4",
		["rtpmap"] = "2",
	 },
	 ["audio4"] = {
		["enable"] = "0",
		["PayloadType"] = "G729",
		["priority"] = "5",
		["rtpmap"] = "18",
	 },
	 ["audio5"] = {
		["enable"] = "0",
		["PayloadType"] = "iLBC",
		["priority"] = "6",
		["rtpmap"] = "102",
	 },
	 ["audio6"] = {
		["enable"] = "0",
		["PayloadType"] = "G723_53",
		["priority"] = "7",
		["rtpmap"] = "4",
	 },
	 ["blf"] = {
		["SubscribePeriod"] = "1200", -- was 180
	 },
	 ["NAT"] = {
		["MaxRTPPort"] = "11800",
		["MinRTPPort"] = "11780",
		["NATTraversal"] = "0",
		["STUNServer"] = "217.10.79.21",
		["STUNPort"] = "10000",
		["EnableUDPUpdate"] = "1",
		["UDPUpdateTime"] = "30",
		["rport"] = "0",
	 },
	 ["DTMF"] = {
		["DTMFInbandTransfer"] = "2", -- DTMF type
		["DTMFPayload"] = "101",
		["DTMFToneLen"] = "120",
		["InfoType"] = "1",
	 },
	 ["General"] = {
	 }
}
