--- Static provision data for PA2 devices
--
-- @file	wildixpa.lua
-- @author	Gennadiy Ganchev
-- @created 2017/10/04

module("resources.wildixpa", package.seeall)

models = {	-- Relation model and port numbers
	["W-PA"] = 1,
}

--- Section configuration list
sections = {
	 "<<VOIP CONFIG FILE>>Version"
	,"<GLOBAL CONFIG MODULE>"
	,"<LAN CONFIG MODULE>"
	,"<TELE CONFIG MODULE>"
	,"<DSP CONFIG MODULE>"
	,"<SIP CONFIG MODULE>"
	,"<MMI CONFIG MODULE>"
	,"<QOS CONFIG MODULE>"
	,"<DEBUG CONFIG MODULE>"
	,"<AAA CONFIG MODULE>"
	,"<MCAST CFG MODULE>"
	,"<EGS CFG MODULE>"
	,"<PHONE CONFIG MODULE>"
	,"<AUTOUPDATE CONFIG MODULE>"
	,"<IPC CONFIG MODULE>"
}

cfg_def = {	--- Default configuration for PA2
	["<<VOIP CONFIG FILE>>Version"] = "",
	["<GLOBAL CONFIG MODULE>"] = {},
	["<LAN CONFIG MODULE>"] = {
		["Enable Bridge Mode"] = "1"
	},
	["<TELE CONFIG MODULE>"] = {
		["Port Config"] = {
			["P1 Auto Ans By Line"] = "0",
			["P1 Intercom Mute"] = "0"
		}
	},
	["<DSP CONFIG MODULE>"] = {
		["Port Config"] = {
			["P1 Voice Codec1"] = "PCMA/8000",
			["P1 Voice Codec2"] = "PCMU/8000",
			["P1 Voice Codec3"] = "G729/8000",
		}
	},
	["<SIP CONFIG MODULE>"] = {
		["SIP Line List"] = {
			["SIP1 Enable Reg"] = "1",
			["SIP1 Register TTL"] = "300",
			["SIP1 Enable Rport"] = "0",
			["SIP1 Enable ChgPort"] = "0",
			["SIP1 VoiceCodecMap"] = "G711A,G711U,G729",
			["SIP2 Enable Reg"] = "0",
			["SIP2 Register TTL"] = "300",
			["SIP2 Enable Rport"] = "0",
			["SIP2 Enable ChgPort"] = "0",
			["SIP2 VoiceCodecMap"] = "G711A,G711U,G729"
		}
	},
	["<FDMS CONFIG MODULE>"] = {
		["Enable FDMS"] = "0",
		["FDMS Interval"] = "3600",
		["Community Name"] = "",
		["Floor Number"] = "",
		["Room Number"] = ""
	},
	["<MMI CONFIG MODULE>"] = {
		["Web Port"] = "80",
		["Web Server Type"] = "0",
		["Https Web Port"] = "443",
		["MMI Account"] = {
			["Account1 Name"] = "admin",
			["Account1 Password"] = "admin",
			["Account1 Level"] = "10"
		}
	},
	["<QOS CONFIG MODULE>"] = {
		["Enable VLAN"] = "0",
		["Enable PVID"] = "0"
	},
	["<DEBUG CONFIG MODULE>"] = {
		["MGR Trace Level"] = "0",
		["SIP Trace Level"] = "0",
		["Trace File Info"] = "0",
		["Enable Watch Dog"] = "1",
		["Enable Memory Info"] = "0"
	},
	["<AAA CONFIG MODULE>"] = {
		["Enable Syslog"] = "0",
		["Syslog address"] = "0.0.0.0",
		["Syslog port"] = "514"
	},
	["<MCAST CFG MODULE>"] = {
		["Priority"] = "0",
		["Enbale Priority"] = "0",
		["Mcast Addr"] = {}
	},
	["<EGS CFG MODULE>"] = {
		["In1 Multiplex"] = "1",
		["Out1 Trig By In1"] = "0",
		["Out1 Trig By Remote"] = "0",
		["Out1 Trig By State"] = "0",
		["Out1 DTMF Code"] = "11",
		["Out2 Trig By State"] = "0"
	},
	["<PHONE CONFIG MODULE>"] = {
		["Function Key"] = {
			["Fkey1 Type"] = "0",
			["Fkey1 Value"] = "",
			["Fkey2 Type"] = "0",
			["Fkey2 Value"] = "",
		}
	},
	["<AUTOUPDATE CONFIG MODULE>"] = {
		["Download Username"] = "wmsdevice",
		["Download Password"] = "",
		["FDPS Enable"] = "1",
		["Config File Name"] = "?action=setaps",
		["Config File Key"] = "",
		["Common Cfg File Key"] = "",
		["Download Server IP"] = "auto.wildixin.com",
		["Download Protocol"] = "4",
		["Download Mode"] = "1",
		["Download Interval"] = "1",
		["DHCP Option"] = "66",
		["PNP Enable"] = "0",
		["PNP IP"] = "224.0.1.75",
		["PNP Port"] = "5060",
		["PNP Transport"] = "0",
		["PNP Interval"] = "1",
		["Save Provision Info"] = "0",
		["Clr PB B4 Import"] = "0"
	},
	["<IPC CONFIG MODULE>"] = {
		["IPC Connect Mode"] = "0"
	}
}
