--- Static provision data for W-PA2 (new doorphone 2021) devices
--
-- @file	wildixpa2.lua
-- @author	Yuriy Zveryanskyy
-- @created 2021/05/11

module("resources.wildixpa2", package.seeall)

models = {	-- Relation model and port numbers
	["W-PA2"] = 1,
}

--- Section configuration list
sections = {
	 "<<VOIP CONFIG FILE>>Version"
	,"<PHONE FEATURE MODULE>"
	,"<NET CONFIG MODULE>"
	,"<CALL FEATURE MODULE>"
	,"<SIP CONFIG MODULE>"
	,"<MMI CONFIG MODULE>"
	,"<QOS CONFIG MODULE>"
	,"<LOG CONFIG MODULE>"
	,"<MCAST CFG MODULE>"
	,"<SECURITY CONFIG MODULE>"
	,"<DSSKEY CONFIG MODULE>"
	,"<AUTOUPDATE CONFIG MODULE>"
	,"<CAMERA CONFIG MODULE>"
}

cfg_def = {	--- Default configuration
	["<<VOIP CONFIG FILE>>Version"] = "",
	["<PHONE FEATURE MODULE>"] = {
		["DateTime Config"] = {
			["DST Type"] = "1"
		}
	},
	["<NET CONFIG MODULE>"] = {},
	["<CALL FEATURE MODULE>"] = {
		["Port Config"] = {
			["P1 Intercom Mute"] = "0"
		}
	},
	["<SIP CONFIG MODULE>"] = {
		["SIP Line List"] = {
			["SIP1 Enable Reg"] = "1",
			["SIP1 Register TTL"] = "300",
			["SIP1 Enable Rport"] = "0",
			["SIP1 Enable ChgPort"] = "0",
			["SIP1 VoiceCodecMap"] = "G711A,G711U,G729",
			["SIP1 Auto Answer"] = "0",
			["SIP2 Enable Reg"] = "0",
			["SIP2 Register TTL"] = "300",
			["SIP2 Enable Rport"] = "0",
			["SIP2 Enable ChgPort"] = "0",
			["SIP2 VoiceCodecMap"] = "G711A,G711U,G729",
			["SIP2 Auto Answer"] = "0"
		}
	},
	["<MMI CONFIG MODULE>"] = {
		["Web Port"] = "80",
		["Web Server Type"] = "0",
		["Https Web Port"] = "443",
		["MMI Account"] = {
			["Account1 Name"] = "admin",
			["Account1 Password"] = "admin",
			["Account1 Level"] = "10"
		}
	},
	["<QOS CONFIG MODULE>"] = {
		["Enable VLAN"] = "0",
		["Enable PVID"] = "0"
	},
	["<LOG CONFIG MODULE>"] = {
		["Level"] = "ERROR",
		["Style"] = "level,tag",
		["Output Device"] = "stdout",
		["File Name"] = "platform.log",
		["File Size"] = "512KB",
		["Syslog Tag"] = "platform",
		["Syslog Server"] = "0.0.0.0",
		["Syslog Server Port"] = "514"
	},
	["<MCAST CFG MODULE>"] = {
		["Priority"] = "0",
		["Enable Priority"] = "0",
		["Mcast Addr"] = {}
	},
	["<SECURITY CONFIG MODULE>"] = {
		["Output List"] = {
			["Output1 DTMF Trigger Code"] = "11",
			["Output1 Trigger By SMS"] = "0",
			["Output1 Trigger By Input"] = ""
		}
	},
	["<DSSKEY CONFIG MODULE>"] = {
		["SoftDss Config"] = {
			["Fkey1 Type"] = "0",
			["Fkey1 Value"] = "",
			["Fkey1 Title"] = "",
			["Fkey1 ICON"] = "Green",
			["Fkey2 Type"] = "0",
			["Fkey2 Value"] = "",
			["Fkey2 Title"] = "",
			["Fkey2 ICON"] = "Green"
		}
	},
	["<AUTOUPDATE CONFIG MODULE>"] = {
		["Default Username"] = "wmsdevice",
		["Default Password"] = "",
		["Input Cfg File Name"] = "",
		["Device Cfg File Key"] = "",
		["Common Cfg File Key"] = "",
		["Download CommonConf"] = "1",
		["Save Provision Info"] = "0",
		["Check FailTimes"] = "5",
		["Flash Server IP"] = "auto.wildixin.com",
		["Flash File Name"] = "?action=setaps",
		["Flash Protocol"] = "5",
		["Flash Mode"] = "1",
		["Flash Interval"] = "1",
		["update PB Interval"] = "720",
		["Sip Pnp List"] = {
			["PNP Enable"] = "0",
			["PNP IP"] = "224.0.1.75",
			["PNP Port"] = "5060",
			["PNP Transport"] = "0",
			["PNP Interval"] = "1"
		},
		["Net Option"] = {
			["DHCP Option"] = "66",
			["DHCPv6 Option"] = "0",
			["Dhcp Option 120"] = "0",
			["Save DHCP Opion"] = "0"
		}
	},
	["<CAMERA CONFIG MODULE>"] = {
		["Camera1 Camera Type"] = "1" -- external camera by default like old device
	}
}
