module("resources.wp600", package.seeall)

-- {{ Codecs order for narrowband & wideband
--------------------------------------------------
-- iLBC
-- PCMU
-- PCMA
-- G729
-- G722
-- G723_53
-- G723_63
-- G726-16
-- G726-24
-- G726-32
-- G726-40
--------------------------------------------------


-- Important thing is priority
codecs = {
   ["wideband"] = {
	  ["audio0"] = {
	  	 ["enable"] = "1",
	  	 ["PayloadType"] = "PCMU",
	  	 ["priority"] = "3",
	  	 ["rtpmap"] = "0",
	  },

	  ["audio1"] = {
		 ["enable"] = "1",
		 ["PayloadType"] = "PCMA",
		 ["priority"] = "2",
		 ["rtpmap"] = "8",
	  },

	  ["audio2"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G723_53",
		 ["priority"] = "0",
		 ["rtpmap"] = "4",
	  },

	  ["audio3"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G723_63",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio4"] = {
		 ["enable"] = "1",
		 ["PayloadType"] = "G729",
		 ["priority"] = "5",
		 ["rtpmap"] = "18",
	  },

	  ["audio5"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G722",
		 ["priority"] = "1",
		 ["rtpmap"] = "9",
	  },

	  ["audio6"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "iLBC",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio7"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-16",
		 ["priority"] = "4",
		 ["rtpmap"] = "112",
	  },

	  ["audio8"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-24",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio9"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-32",
		 ["priority"] = "0",
		 ["rtpmap"] = "2",
	  },

	  ["audio10"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-40",
		 ["priority"] = "0",
		 ["rtpmap"] = "104",
	  },
   }, 

   ["narrowband"] = {
	  ["audio0"] = {
	  	 ["enable"] = "1",
	  	 ["PayloadType"] = "PCMU",
	  	 ["priority"] = "4",
	  	 ["rtpmap"] = "0",
	  },

	  ["audio1"] = {
		 ["enable"] = "1",
		 ["PayloadType"] = "PCMA",
		 ["priority"] = "3",
		 ["rtpmap"] = "8",
	  },

	  ["audio2"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G723_53",
		 ["priority"] = "0",
		 ["rtpmap"] = "4",
	  },

	  ["audio3"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G723_63",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio4"] = {
		 ["enable"] = "1",
		 ["PayloadType"] = "G729",
		 ["priority"] = "1",
		 ["rtpmap"] = "18",
	  },

	  ["audio5"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G722",
		 ["priority"] = "5",
		 ["rtpmap"] = "9",
	  },

	  ["audio6"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "iLBC",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio7"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-16",
		 ["priority"] = "2",
		 ["rtpmap"] = "112",
	  },

	  ["audio8"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-24",
		 ["priority"] = "0",
		 ["rtpmap"] = "102",
	  },

	  ["audio9"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-32",
		 ["priority"] = "0",
		 ["rtpmap"] = "2",
	  },

	  ["audio10"] = {
		 ["enable"] = "0",
		 ["PayloadType"] = "G726-40",
		 ["priority"] = "0",
		 ["rtpmap"] = "104",
	  },
   }
}

--------------------------------------------------

parameters = {
    ["__nopath__"] = {
        [" cfg:/phone/config/voip/sipAccount0.cfg,account=0;reboot=0"] = {
            ["audio0.enable"] = "1",
            ["audio0.priority"] = "2",
            ["audio0.PayloadType"] = "PCMU",
            ["audio0.rtpmap"] = "0",
            ["audio1.enable"] = "1",
            ["audio1.priority"] = "1",
            ["audio1.PayloadType"] = "PCMA",
            ["audio1.rtpmap"] = "8",
            ["audio2.enable"] = "0",
            ["audio2.priority"] = "3",
            ["audio2.PayloadType"] = "G723_53",
            ["audio2.rtpmap"] = "4",
            ["audio3.enable"] = "0",
            ["audio3.priority"] = "4",
            ["audio3.PayloadType"] = "G723_63",
            ["audio3.rtpmap"] = "4",
            ["audio4.enable"] = "1",
            ["audio4.priority"] = "5",
            ["audio4.PayloadType"] = "G729",
            ["audio4.rtpmap"] = "18",
            ["audio5.enable"] = "1",
            ["audio5.priority"] = "6",
            ["audio5.PayloadType"] = "G722",
            ["audio5.rtpmap"] = "9",
            ["audio6.enable"] = "0",
            ["audio6.priority"] = "7",
            ["audio6.PayloadType"] = "iLBC",
            ["audio6.rtpmap"] = "102",
            ["audio7.enable"] = "0",
            ["audio7.priority"] = "8",
            ["audio7.PayloadType"] = "G726-16",
            ["audio7.rtpmap"] = "112",
            ["audio8.enable"] = "0",
            ["audio8.priority"] = "9",
            ["audio8.PayloadType"] = "G726-24",
            ["audio8.rtpmap"] = "102",
            ["audio9.enable"] = "0",
            ["audio9.priority"] = "10",
            ["audio9.PayloadType"] = "G726-32",
            ["audio9.rtpmap"] = "2",
            ["audio10.enable"] = "0",
            ["audio10.priority"] = "11",
            ["audio10.PayloadType"] = "G726-40",
            ["audio10.rtpmap"] = "104",
            ["account.Enable"] = "1",
            ["account.Label"] = "unknown1",
            ["account.DisplayName"] = "unknown1",
            ["account.UserName"] = "unknown1",
            ["account.AuthName"] = "unknown1",
            ["account.password"] = "",
            ["account.SIPServerHost"] = "192.168.1.97",
            ["account.SIPServerPort"] = "5060",
            ["account.SIPListenRandom"] = "1",
            ["account.SIPListenPort"] = "33035",
            ["account.Expire"] = "300",
            ["account.UseOutboundProxy"] = "1",
            ["account.OutboundHost"] = "192.168.1.97",
            ["account.OutboundPort"] = "5060",
            ["account.EnableEncrypt"] = "0",
            ["account.EncryptKey"] = "29749",
            ["account.EncryptVersion"] = "1",
            ["account.BakOutboundHost"] = "",
            ["account.BakOutboundPort"] = "5060",
            ["account.EnableSTUN"] = "0",
            ["account.proxy-require"] = "",
            ["account.ptime"] = "20",
            ["account.srtp_encryption"] = "0",
            ["account.srtp_encryption_algorithm"] = "1", -- always 1?
            ["account.BackupSIPServerHost"] = "",
            ["account.BackupSIPServerPort"] = "5060",
            ["account.Enable 100Rel"] = "0",
            ["account.precondition"] = "0",
            ["account.SubsribeRegister"] = "1",
            ["account.CIDSource"] = "1",
            ["account.EnableSessionTimer"] = "0",
            ["account.SessionExpires"] = "7200",
            ["account.SessionRefresher"] = "0",
            ["account.EnableUserEqualPhone"] = "0",
            ["account.BLFList_URI"] = "",
            ["account.BlfListCode"] = "",
            ["account.SubsribeMWI"] = "1",
            ["account.AnonymousCall"] = "0",
            ["account.RejectAnonymousCall"] = "0",
            ["account.Transport"] = "0", -- 0 UDP, 1 TCP, 2 TLS, 3 DNS-SRV
            ["account.ShareLine"] = "0",
            ["account.dialoginfo_callpickup"] = "1",
            ["account.AutoAnswer"] = "0",
            ["account.MissedCallLog"] = "1",
            ["account.AnonymousCall_OnCode"] = "",
            ["account.AnonymousCall_OffCode"] = "",
            ["account.AnonymousReject_OnCode"] = "",
            ["account.AnonymousReject_OffCode"] = "",
            ["account.BLANumber"] = "",
            ["account.SubscribeMWIExpire"] = "3600",
            ["account.RegisterMAC"] = "0",
            ["account.RegisterLine"] = "0",
            ["account.conf-type"] = "0",
            ["account.conf-uri"] = "",
            ["account.SubscribeACDExpire"] = "3600",
            ["account.IdleScreenEnable"] = "0",
            ["account.IdleScreenURL"] = "",
            ["account.CancelTimer"] = "1800",
            ["account.bCalleeIDbyINFO"] = "0",
            ["RingTone.RingType"] = "commom",
            ["DTMF.DTMFInbandTransfer"] = "2", -- DTMF type
            ["DTMF.DTMFPayload"] = "101",
            ["DTMF.DTMFToneLen"] = "120",
            ["DTMF.InfoType"] = "1",
            ["NAT.MaxRTPPort"] = "11800",
            ["NAT.MinRTPPort"] = "11780",
            ["NAT.NATTraversal"] = "0",
            ["NAT.STUNServer"] = "217.10.79.21",
            ["NAT.STUNPort"] = "10000",
            ["NAT.EnableUDPUpdate"] = "1",
            ["NAT.UDPUpdateTime"] = "30",
            ["NAT.rport"] = "0",
            ["ADVANCED.default_t1"] = "0.5",
            ["ADVANCED.default_t2"] = "4",
            ["ADVANCED.default_t4"] = "5",
            ["blf.SubscribePeriod"] = "1200",
            ["blf.BLFList_URI"] = "",
            ["General.UserAgent"] = ""
        },
        [" cfg:/phone/config/voip/sipAccount1.cfg,account=0;reboot=0"] = {
        	["account.Enable"] = "0",
        	["account.Label"] = "",
            ["account.DisplayName"] = "",
            ["account.UserName"] = "",
            ["account.AuthName"] = "",
            ["account.password"] = "",
            ["account.SIPServerHost"] = "",
            ["account.SIPServerPort"] = "5060",
            ["account.OutboundHost"] = "",
            ["account.OutboundPort"] = "5060",
            ["General.UserAgent"] = ""
        },
        [" cfg:/config/system.ini,reboot=1"] = {
            ["Profile.RTCP"] = "1",
            ["Jitter.Enable"] = "0",
            ["Jitter.Adaptive"] = "1",
            ["Jitter.Min"] = "0",
            ["Jitter.Max"] = "300",
            ["Jitter.Nominal"] = "120",
            ["Network.strPPPoEUser"] = "",
            ["Network.strPPPoEPin"] = "",
            ["Network.bBridgeMode"] = "1", -- 0 = Router, 1 = Bridge
            ["Network.strLanIP"] = "",
            ["Network.strLanMask"] = "",
            ["Network.bLanDHCPServer"] = "0",
            ["Network.strDHCPClientBegin"] = "",
            ["Network.strDHCPClientEnd"] = "",
            ["LLDP.EnableLLDP"] = "0",
            ["LLDP.PacketInterval"] = "120",
            ["LocalTime.TimeZone"] = "+1",
            ["LocalTime.TimeServer1"] = "it.pool.ntp.org",
            ["LocalTime.TimeServer2"] = "",
            ["LocalTime.nNTPLeaseSeconds"] = "120",
            ["LocalTime.TimeZoneInstead"] = "8",
            ["LocalTime.StartTime"] = "1/1/0",
            ["LocalTime.EndTime"] = "12/31/23",
            ["LocalTime.TimeFormat"] = "1", -- 0 = 12 hour, 1 = 24 hour
            ["LocalTime.DateFormat"] = "6",
            ["LocalTime.OffSetTime"] = "60",
            ["LocalTime.bDSTEnable"] = "1",
            ["LocalTime.bNTPEnable"] = "1",
            ["LocalTime.iDSTType"] = "0", -- 0 - disable, 1 - enable, 2 - auto daylight saving
            ["LocalTime.iDSTTimeType"] = "0",
            ["AutoProvision.bEnablePowerOn"] = "1",
            ["AutoProvision.bEnableWeekly"] = "0",
            ["AutoProvision.strWeeklyMask"] = "0123456",
            ["AutoProvision.strWeeklyBeginTime"] = "00:00",
            ["AutoProvision.strWeeklyEndTime"] = "00:00",
            ["AutoProvision.bEnableRepeat"] = "0",
            ["AutoProvision.nRepeatMinutes"] = "1440",
            ["AutoProvision.bEnablePNP"] = "0",
            ["AutoProvision.bEnableDHCPOption"] = "0",
            ["AutoProvision.listUserOptions"] = "128",
            ["AutoProvision.strServerURL"] = "",
            ["AutoProvision.strKeyAES16"] = "",
            ["AutoProvision.strKeyAES16MAC"] = "",
            ["QoS.SIGNALTOS"] = "46",
            ["QoS.RTPTOS"] = "46",
            ["VPN.EnableVPN"] = "0",
            ["RTPPORT.MaxRTPPort"] = "11800",
            ["RTPPORT.MinRTPPort"] = "11780",
            ["telnet.telnet_enable"] = "0",
            ["sw_ver.sw_protect"] = "1",
            ["SYSLOG.SyslogdIP"] = "",
        },
        [" cfg:/phone/config/user.ini,reboot=0"] = {
            ["Advanced.var_enabled"] = "0",
            ["Features.SaveCallHistory"] = "1",
            ["Features.BroadsoftFeatureKeySync"] = "1",
            ["Features.LogonWizard"] = "0",
            ["Features.Call_Waiting"] = "1",
            ["Features.DND_On_Code"] = "",
            ["Features.DND_Off_Code"] = "",
            ["Features.Refuse_Code"] = "603",
            ["PhoneSetting.LogonWizard"] = "0",
            ["PhoneSetting.Voicevolume"] = "4", -- The range of the volume is 1~15
            ["PhoneSetting.BackGrounds"] = "Config:wp600wallpaper.jpg",
            ["PhoneSetting.ScreenSaver"] = "Config:wp600wallpaper.jpg",
            ["PoundSend.Enable"] = "",
            ["Zero.ForbidZero"] = "1",
            ["AlwaysFWD.Enable"] = "0",
            ["AlwaysFWD.Target"] = "",
            ["AlwaysFWD.On_Code"] = "",
            ["AlwaysFWD.Off_Code"] = "",
            ["BusyFWD.Enable"] = "0",
            ["BusyFWD.Target"] = "",
            ["BusyFWD.On_Code"] = "",
            ["BusyFWD.Off_Code"] = "",
            ["TimeoutFWD.Enable"] = "0",
            ["TimeoutFWD.Target"] = "",
            ["TimeoutFWD.On_Code"] = "",
            ["TimeoutFWD.Off_Code"] = "",
            ["Lang.ActiveWebLanguage"] = "English",
            ["Lang.Language"] = "1",
            ["AlertInfo0.Text"] = "",
            ["AlertInfo0.Ringer"] = "1",
            ["AlertInfo1.Text"] = "",
            ["AlertInfo1.Ringer"] = "1",
            ["AlertInfo2.Text"] = "",
            ["AlertInfo2.Ringer"] = "1",
            ["AlertInfo3.Text"] = "",
            ["AlertInfo3.Ringer"] = "1",
            ["AlertInfo4.Text"] = "",
            ["AlertInfo4.Ringer"] = "1",
            ["AlertInfo5.Text"] = "",
            ["AlertInfo5.Ringer"] = "1",
            ["AlertInfo6.Text"] = "",
            ["AlertInfo6.Ringer"] = "1",
            ["AlertInfo7.Text"] = "",
            ["AlertInfo7.Ringer"] = "1",
            ["AlertInfo8.Text"] = "",
            ["AlertInfo8.Ringer"] = "1",
            ["AlertInfo9.Text"] = "",
            ["AlertInfo9.Ringer"] = "1",
            ["Transfer.EnableSemiAttendTran"] = "1",
            ["sip.UseOutBoundInDialog"] = "1",
            ["PhoneSetting.LogLevel"] = "6",
            ["PhoneSetting.SkipAdvSetPasswd"] = "1",	-- skip (1) or use (0) the Advanced Setting password on LCD
            ["PhoneSetting.IsDeal180"] = "1",
            ["PhoneSetting.ProductName"] = "WP600",
            ["PhoneSetting.Ringtype"] = "Ring1.wav",
            ["PhoneSetting.InterDigitTime"] = "5",
            ["PhoneSetting.FlashHookTimer"] = "10",
            ["PhoneVolume.HandFreeSpkVol"] = "8",
            ["PhoneVolume.HandFreeMicVol"] = "8",
            ["PhoneVolume.HandSetSpkVol"] = "8",
            ["PhoneVolume.HandSetMicVol"] = "8",
            ["PhoneVolume.HeadSetSpkVol"] = "8",
            ["PhoneVolume.HeadSetMicVol"] = "8",
        },
        
        [" cfg:/phone/config/vpPhone/vpPhone.ini,reboot=1"] = {
            ["NGN.ngn"] = "0",
            ["programablekey1.DKtype"] = "28",
            ["programablekey1.Value"] = "",
            ["programablekey2.DKtype"] = "47",
            ["programablekey2.Value"] = "",
            ["programablekey3.DKtype"] = "0",
            ["programablekey3.Value"] = "",
            ["programablekey4.DKtype"] = "30",
            ["programablekey4.Value"] = "",
            ["programablekey5.DKtype"] = "0",
            ["programablekey5.Value"] = "",
            ["programablekey6.DKtype"] = "0",
            ["programablekey6.Value"] = "",
            ["programablekey7.DKtype"] = "0",
            ["programablekey7.Value"] = "",
            ["programablekey8.DKtype"] = "0",
            ["programablekey8.Value"] = "",
            ["programablekey9.DKtype"] = "33",
            ["programablekey9.Value"] = "",
            ["programablekey10.DKtype"] = "0",
            ["programablekey10.Value"] = "",
            ["programablekey11.DKtype"] = "0",
            ["programablekey11.Value"] = "",
            ["programablekey12.DKtype"] = "0",
            ["programablekey12.Value"] = "",
            ["programablekey13.DKtype"] = "0",
            ["programablekey13.Value"] = "",
            ["programablekey14.DKtype"] = "0",
            ["programablekey14.Value"] = "",
        },
        [" cfg:/phone/config/Contacts/LDAP.cfg"] = {
            ["LDAP.NameFilter"] = "",
            ["LDAP.NumberFilter"] = "",
            ["LDAP.host"] = "0.0.0.0",
            ["LDAP.port"] = "389",
            ["LDAP.base"] = "",
            ["LDAP.user"] = "",
            ["LDAP.pswd"] = "",
            ["LDAP.MaxHits"] = "50",
            ["LDAP.NameAttr"] = "",
            ["LDAP.NumbAttr"] = "",
            ["LDAP.DisplayName"] = "",
            ["LDAP.version"] = "3",
            ["LDAP.SearchDelay"] = "2000",
            ["LDAP.CallInLookup"] = "0",
            ["LDAP.LDAPSort"] = "0",
            ["LDAP.DialLookup"] = "0",
        },
        [" cfg:/phone/config/Contacts/BroadSoft.cfg"] = {
            ["Account0.DisplayName"] = "",
            ["Account0.Server"] = "",
            ["Account0.Port"] = "",
            ["Account0.UserName"] = "",
            ["Account0.PassWord"] = "",
            ["CallLog0.DisplayName"] = "",
            ["CallLog0.Server"] = "",
            ["CallLog0.Port"] = "",
            ["CallLog0.UserName"] = "",
            ["CallLog0.PassWord"] = "",
        },
        [" bin:/phone/config/ContactData.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/Pics/Contact.tar"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/AutoDST.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/DialNow.xml,reboot=1"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/DialPlan.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/userdata/ringtone/b012.wav"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/vpPhone/Dialing.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/vpPhone/CallFailed.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/congfig/vpPhone/CallIn.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/vpPhone/Connecting.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/vpPhone/RingBack.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/vpPhone/Talking.xml"] = {
            ["url"] = "",
        },
        [" bin:/phone/userdata/ScreenSaver/wp600wallpaper.jpg"] = {
            ["url"] = "",
        },
        [" bin:/phone/userdata/BackGround/wp600wallpaper.jpg"] = {
            ["url"] = "",
        },
        [" rom:Firmware"] = {
            ["url"] = "",
        },
        [" bin: /tmp/ca.crt"] = {
            ["url"] = "",
        },
        [" bin: /tmp/server.pem"] = {
            ["url"] = "",
        },
        [" bin:/phone/config/WebItemsLevel.cfg"] = {
            ["url"] = "",
        },
        [" psw:/phone/config/.htpasswd"] = {
            ["admin"] = "wildix",
            ["user"] = "wildix", -- NOTE: impossible to remove user "user" currently
            ["-var"] = ""
        }
   },

   ["voip"] = {
	  ["tone.ini"] = {
		 ["Tone Param"] = {
			["stutter"] = "0",
			["message"] = "0"
		 },
		 ["Default"] = {
			["stutter"] = "0",
			["message"] = "0"  
		 }
		 -- ["Country"] = {
		 -- 	["Country"] = "Italy" 
		 -- }
	  },
   }
}

second_account = {
	["audio0.enable"] = "1",
    ["audio0.priority"] = "2",
    ["audio0.PayloadType"] = "PCMU",
    ["audio0.rtpmap"] = "0",
    ["audio1.enable"] = "1",
    ["audio1.priority"] = "1",
    ["audio1.PayloadType"] = "PCMA",
    ["audio1.rtpmap"] = "8",
    ["audio2.enable"] = "0",
    ["audio2.priority"] = "3",
    ["audio2.PayloadType"] = "G723_53",
    ["audio2.rtpmap"] = "4",
    ["audio3.enable"] = "0",
    ["audio3.priority"] = "4",
    ["audio3.PayloadType"] = "G723_63",
    ["audio3.rtpmap"] = "4",
    ["audio4.enable"] = "1",
    ["audio4.priority"] = "5",
    ["audio4.PayloadType"] = "G729",
    ["audio4.rtpmap"] = "18",
    ["audio5.enable"] = "1",
    ["audio5.priority"] = "6",
    ["audio5.PayloadType"] = "G722",
    ["audio5.rtpmap"] = "9",
    ["audio6.enable"] = "0",
    ["audio6.priority"] = "7",
    ["audio6.PayloadType"] = "iLBC",
    ["audio6.rtpmap"] = "102",
    ["audio7.enable"] = "0",
    ["audio7.priority"] = "8",
    ["audio7.PayloadType"] = "G726-16",
    ["audio7.rtpmap"] = "112",
    ["audio8.enable"] = "0",
    ["audio8.priority"] = "9",
    ["audio8.PayloadType"] = "G726-24",
    ["audio8.rtpmap"] = "102",
    ["audio9.enable"] = "0",
    ["audio9.priority"] = "10",
    ["audio9.PayloadType"] = "G726-32",
    ["audio9.rtpmap"] = "2",
    ["audio10.enable"] = "0",
    ["audio10.priority"] = "11",
    ["audio10.PayloadType"] = "G726-40",
    ["audio10.rtpmap"] = "104",
    ["account.Enable"] = "1",
    ["account.Label"] = "",
    ["account.DisplayName"] = "",
    ["account.UserName"] = "",
    ["account.AuthName"] = "",
    ["account.password"] = "",
    ["account.SIPServerHost"] = "",
    ["account.SIPServerPort"] = "80",
    ["account.SIPListenRandom"] = "1",
    ["account.SIPListenPort"] = "5060",
    ["account.Expire"] = "300",
    ["account.UseOutboundProxy"] = "1",
    ["account.OutboundHost"] = "",
    ["account.OutboundPort"] = "80",
    ["account.EnableEncrypt"] = "0",
    ["account.EncryptKey"] = "29749",
    ["account.EncryptVersion"] = "1",
    ["account.BakOutboundHost"] = "",
    ["account.BakOutboundPort"] = "5060",
    ["account.EnableSTUN"] = "0",
    ["account.proxy-require"] = "",
    ["account.ptime"] = "20",
    ["account.srtp_encryption"] = "0",
    ["account.srtp_encryption_algorithm"] = "1", -- always 1?
    ["account.BackupSIPServerHost"] = "",
    ["account.BackupSIPServerPort"] = "5060",
    ["account.Enable 100Rel"] = "0",
    ["account.precondition"] = "0",
    ["account.SubsribeRegister"] = "1",
    ["account.CIDSource"] = "1",
    ["account.EnableSessionTimer"] = "0",
    ["account.SessionExpires"] = "7200",
    ["account.SessionRefresher"] = "0",
    ["account.EnableUserEqualPhone"] = "0",
    ["account.BLFList_URI"] = "",
    ["account.BlfListCode"] = "",
    ["account.SubsribeMWI"] = "1",
    ["account.AnonymousCall"] = "0",
    ["account.RejectAnonymousCall"] = "0",
    ["account.Transport"] = "1", -- 0 UDP, 1 TCP, 2 TLS, 3 DNS-SRV
    ["account.ShareLine"] = "0",
    ["account.dialoginfo_callpickup"] = "1",
    ["account.AutoAnswer"] = "0",
    ["account.MissedCallLog"] = "1",
    ["account.AnonymousCall_OnCode"] = "",
    ["account.AnonymousCall_OffCode"] = "",
    ["account.AnonymousReject_OnCode"] = "",
    ["account.AnonymousReject_OffCode"] = "",
    ["account.BLANumber"] = "",
    ["account.SubscribeMWIExpire"] = "3600",
    ["account.RegisterMAC"] = "0",
    ["account.RegisterLine"] = "0",
    ["account.conf-type"] = "0",
    ["account.conf-uri"] = "",
    ["account.SubscribeACDExpire"] = "3600",
    ["account.IdleScreenEnable"] = "0",
    ["account.IdleScreenURL"] = "",
    ["account.CancelTimer"] = "1800",
    ["account.bCalleeIDbyINFO"] = "0",
    ["RingTone.RingType"] = "commom",
    ["DTMF.DTMFInbandTransfer"] = "2", -- DTMF type
    ["DTMF.DTMFPayload"] = "101",
    ["DTMF.DTMFToneLen"] = "120",
    ["DTMF.InfoType"] = "1",
    ["NAT.MaxRTPPort"] = "11800",
    ["NAT.MinRTPPort"] = "11780",
    ["NAT.NATTraversal"] = "0",
    ["NAT.STUNServer"] = "217.10.79.21",
    ["NAT.STUNPort"] = "10000",
    ["NAT.EnableUDPUpdate"] = "1",
    ["NAT.UDPUpdateTime"] = "30",
    ["NAT.rport"] = "0",
    ["ADVANCED.default_t1"] = "0.5",
    ["ADVANCED.default_t2"] = "4",
    ["ADVANCED.default_t4"] = "5",
    ["blf.SubscribePeriod"] = "1200",
    ["blf.BLFList_URI"] = "",
    ["General.UserAgent"] = ""
}
